using System.Collections.Generic;
using System.Text.Json;
using System.Text.Json.Serialization;

namespace PkmnLib.Dataloader.Models;

public class SerializedItem
{
    public string Name { get; set; } = null!;
    public string ItemType { get; set; } = null!;
    public string BattleType { get; set; } = null!;
    public string[] Flags { get; set; } = null!;
    public int Price { get; set; }
    public byte FlingPower { get; set; }
    
    [JsonExtensionData]
    public Dictionary<string, JsonElement>? ExtensionData { get; set; }
}